Skip to main content
GET
/
v1
/
pricing-dimensions
List Pricing Dimensions
curl --request GET \
  --url https://api.runflow.io/v1/pricing-dimensions \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "code": "<string>",
      "display_name": "<string>",
      "description": "<string>",
      "sort_order": 123,
      "is_active": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "first": "<string>",
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

q
string | null

Search filter (ANTLR syntax)

sort_by
string | null

Sort expression (e.g. 'name:asc')

limit
integer | null

Page size

Required range: 1 <= x <= 500
fields
string | null

Field projection

pq
string | null

Previous-page query

from_prev
boolean
default:false

Backward pagination flag

Response

Paginated list of Pricing Dimension records

items
PricingDimensionReferenceFullValidator · object[]
required
first
string | null
next
string | null
previous
string | null